summaryrefslogtreecommitdiff
path: root/mailman/mklist.example
diff options
context:
space:
mode:
authorroot <root@homebase.dk>2010-10-30 15:50:03 +0200
committerroot <root@homebase.dk>2010-10-30 15:50:03 +0200
commitea033afebef6d6c02b36a46ac8f6c91a39452118 (patch)
tree5bdfa6e86420b372735133a912672eb39626ce38 /mailman/mklist.example
parent1f6f808899bc11baaa4a25d2d921addb8e97559d (diff)
Add Mailman skeleton-based mklist routines.
Diffstat (limited to 'mailman/mklist.example')
-rwxr-xr-xmailman/mklist.example31
1 files changed, 31 insertions, 0 deletions
diff --git a/mailman/mklist.example b/mailman/mklist.example
new file mode 100755
index 0000000..5c30e77
--- /dev/null
+++ b/mailman/mklist.example
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Example script demonstrating use of mklist.pl and skel files
+# This script was once used at Homebase <http://Homebase.dk/>
+
+set -e
+
+. /etc/local-COMMON/mailman/mklist.inc
+
+# Team 12 and newer is internationally oriented and mandate english
+kpteams_da="`seq 1 11`"
+kpteams_en="`seq 12 15` 15plus `seq 16 17`"
+
+refreshlists
+for kpteam in $kpteams_da; do
+ mklist "kpt$kpteam" team "Kaospiloterne Team $kpteam" "da"
+ mklist "kpt$kpteam-announce" team-announce "Kaospiloterne Team $kpteam vigtige annonceringer" "da"
+ populatelist "kpt$kpteam-announce" `members "kpt$kpteam"`
+done
+
+refreshlists
+for kpteam in $kpteams_en; do
+ mklist "kpt$kpteam" team "Kaospilot Team $kpteam" "en"
+ mklist "kpt$kpteam-announce" team-announce "Kaospilot Team $kpteam important anouncements" "en"
+ populatelist "kpt$kpteam-announce" `members "kpt$kpteam"`
+done
+
+mklist "teknik" sig "Homebase teknisk drift og support" da
+#mklist "event" sig "local events at Homebase for Homebase members"
+#mklist "housing" sig "Homebase members needing or offering a place to live"
+mklist "kpslam" team "Kaospilot student alumni"
+#mklist "KPIStaff" private "Kaospilot Internation Staff"